<%@ Page Language="C#" AutoEventWireup="False" CodeBehind="ViewMessage.aspx.cs" Inherits="SCI.Gateway.Web.Message.ViewMessage" %>
<%@ Register TagPrefix="sci" Namespace="SCI.Gateway.Web.Controls" Assembly="SCI.Gateway.Web" %>
<%@ Register Tagprefix="scigw" Namespace="SCI.Gateway.Web" Assembly="SCI.Gateway.Web" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
	<scigw:header id="headerControl" runat="server"></scigw:header>
    <style type="text/css">
     .bottomButtonsFoot
     {
     	margin-top:50px;
     	margin-bottom:10px;
     }
    </style>
</head>
<body>
    <form id="GatewayForm" method="post" runat="server" enableviewstate="false">
    
        

        <div id="divLoading" name="divLoading" style="display:block;position:absolute;top:200px;left:275px">
            <h2>Loading Referral screen</h2>
        </div>
        <div id="divScreen" name="divScreen" style="display:none">
            <div id="protocolPage" name="protocolPage">            

                <asp:Panel ID="m_messageContent" runat="server"></asp:Panel>

                 <div class="bottomButtonsFoot" id="botButt" name="botButt">
                    <table width="100%" id="Table1"> 
                        <tr id="trButtons" align="center">
                            <td id="CancelCell" runat="server" width="16%">
                                <sci:SciButton ID="CancelButton"        style="padding-bottom:0px;" runat="server" Text="Cancel"            />
                            </td>
                            <td id="AttachCell" runat="server" width="16%">
                                <sci:SciButton ID="AttachButton"        style="padding-bottom:0px;" runat="server" Text="Attach" />
                            </td>
                            <td id="PreviewCell" runat="server" width="16%">
                                <sci:SciButton ID="PreviewLetterButton" style="padding-bottom:0px;" runat="server" Text="Preview Letter"    />
                            </td >
                            <td id="SpellingCell" runat="server" width="16%">
                                <sci:SciButton ID="SpellingButton"      style="padding-bottom:0px;" runat="server" Text="Spellcheck"      />
                            </td>
                            <td id="ParkCell" runat="server" width="16%">
                                <sci:SciButton ID="ParkButton"          style="padding-bottom:0px;" runat="server" Text="Park"              />
                            </td>
                            <td id="SendCell" runat="server" width="16%">
                                <sci:SciButton ID="SendButton"          style="padding-bottom:0px;" runat="server" Text="Send"              />
                            </td>
                        </tr>
                    </table>
                    <asp:Label id="PrePopulationError" runat="server" Font-Bold="true"></asp:Label>
                </div>

                <div id="iframeLoadMsg" name="iframeLoadMsg" style="display:block;position:relative;top:76%;left:10px;color:red;font-weight:bold"></div>
                <div class="errorTabHeader" id="errorTableHeader" name="errorTableHeader"></div>
                <div id="schemaValidationErrors" runat="server" style="display:none;"></div>
                <div  class="clientValidation" id ="clientValidationPage" name ="clientValidationPage"></div>
                
                <!-- the following divs are required by legacy gpass prepopulation scripts-->
                <div id="divMainHTML" name="divMainHTML" style="display:none"></div>

            </div>
        </div>
        <div id="divRetrieval" name="divRetrieval" style="display:none">
            <table align="center">
                <tr>
                    <td>
                        <h2>Retrieving patient information</h2>
                    </td>
                </tr>
            </table>
        </div>

        
        <input id="fldSessionKey" name="fldSessionKey" type="hidden" runat="server"/>
        <input id="fldGatewayServices" name="fldGatewayServices" type="hidden" runat="server"/>
        <input id="consultantSurname" name="consultantSurname" type="hidden" runat="server" />
        <input id="consultantForename" name="consultantForename" type="hidden" runat="server" />
        <input id="msgtypeid" name="msgtypeid" type="hidden" runat="server" />
        <input id="messageTypeName" runat="server" name="msgtypeid" type="hidden" />
        <input id="protocolid" name="protocolid" type="hidden" runat="server" />
        <input id="providerid" name="providerid" type="hidden" runat="server" />
        <input id="patientName" name="patientName" type="hidden" runat="server" />
        <input id="patientChi" name="patientChi" type="hidden" runat="server" />
        <input id="patientkey" name="patientkey" type="hidden" runat="server" />
        <input id="refGpGmcCode" name="refGpGmcCode" type="hidden" runat="server" />
        <input id="messageId" name="messageId" type="hidden" runat="server" value="0" />
        <input id="tempMessageId" name="tempMessageId" type="hidden" runat="server" value="0" />
        <input id="messagePriority" name="messagePriority" type="hidden" runat="server" />
        <input id="statusText" name="statusText" type="hidden" runat="server" />
        <input id="allowappts" name="allowappts" type="hidden" runat="server" />
        <input id="vetResponse" name="vetResponse" type="hidden" runat="server" />
        <input id="isLowRes" name="isLowRes" type="hidden" runat="server" />
        <input id="resetHeight" name="resetHeight" type="hidden"  runat="server" />
        <input id="originalHeight" name="originalHeight" type="hidden"  runat="server" />
        <input id="fldGatewayMessageFolder" name="fldGatewayMessageFolder" type="hidden"  runat="server" />
        <input id="messageCssStylesheet" name="messageCssStylesheet" type="hidden" runat="server" />
        <input id="buttonClick" name="buttonClick" type="hidden" runat="server" />
        <input id="controls" name="controls" type="hidden" runat="server"/>			
        <input id="isPrePopulatedFromOriginalMessage" name="isPrePopulatedFromOriginalMessage" type="hidden" runat="server" value="false" />
        <input id="openValidationPage" name="openValidationPage" type="hidden" runat="server" />
        <input id="invalid" name="invalid" type="hidden" runat="server" value="false" />
        <input id="prePopXml" name="prePopXml" type="hidden" runat="server" />
        <input id="blnPrepopulate" name="blnPrepopulate" type="hidden" runat="server" value="false" />
        <input type="hidden" name="uniqueCarePathwayNumberGeneration" id="uniqueCarePathwayNumberGeneration" />
        <input type="hidden" runat="server" id="PatientMatched" name="PatientMatched" />
    </form>

<script language=javascript for=window event=onbeforeunload>
<!--
    if (blnWindowCloseMsg != false)
        event.returnValue = 'Any changes that have been made will be lost.'
//-->
</script>

<script language=vbscript>
    'had to do this with vbscript as the event was not being captured with jscript!!
    Sub window_onunload()
        Call WindowUnloadHandler()
    End Sub
</script>

</body>
</html>
