<%@ Page Language="C#" AutoEventWireup="false" EnableEventValidation="false" CodeBehind="MessageOptions.aspx.cs" Inherits="SCI.Gateway.Web.MessageOptions" %>

<%@ Register Assembly="SCI.Gateway.Web" Namespace="SCI.Gateway.Web.Controls" TagPrefix="sci" %>
<%@ Register Assembly="SCI.Gateway.Web" Namespace="SCI.Gateway.Web" TagPrefix="scigw" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <scigw:header id="headerControl" runat="server"></scigw:header>
</head>
<body>
    <form id="GatewayForm" method="post" runat="server">
        <!-- Include the standard Menu -->
        <sci:gatewaymenu id="MenuGatewayMenu" runat="server" />
        <div class="contentMain">
            <table class="contentLeft" width="100%">
                <tr class="contentHead">
                    <td><asp:label ID="PageDescriptionLabel" runat="server">PageDescriptionLabel</asp:label></td>
                </tr>
                <tr><td><asp:Label ID="SeparatorLabel1" runat="server" Height="10px" /></td></tr>
                <tr><td><asp:Label ID="VetResponseLabel" runat="server" Font-Bold="True" ForeColor="ForestGreen">VetResponseLabel</asp:Label></td></tr>
                <tr><td><asp:Label ID="SeparatorLabel2" runat="server" Height="10px" /></td></tr>
                <tr>
                    <td>
                        <asp:label ID="PleaseSelectLabel" runat="server">PleaseSelectLabel</asp:label>
                    </td>
                </tr>
                <tr><td><asp:Label ID="SeparatorLabel3" runat="server" Height="10px" /></td></tr>
                <tr>
                    <td>
                        <asp:RadioButton ID="SendOnlyRadio" runat="server" GroupName="radProceed" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:RadioButton ID="BookOnlyRadio" runat="server" GroupName="radProceed" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:RadioButton ID="BookAndSendRadio" runat="server" GroupName="radProceed" />
                    </td>
                </tr>
                <tr><td><asp:Label ID="SeparatorLabel4" runat="server" Height="10px" /></td></tr>
                <tr>
                    <td>
                        <asp:label ID="NoteLabel1" runat="server" Font-Bold="True">NoteLabel1</asp:label>
                        <asp:label ID="NoteLabel2" runat="server">NoteLabel2</asp:label>
                    </td>
                </tr>
            </table>
            <br/>
            <table width="100%">
                <tr>
                    <td align="right">
                        <table>
                            <tr>
                                <td><sci:SciButton ID="BackButton" runat="server" Text="Back" PostBack="false" /></td>
                                <td><sci:SciButton ID="ProceedButton" runat="server" Text="Proceed" PostBack="false" /></td> 
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>  
            <br/>
            
            <input id="messageID" name="messageID" type="hidden" runat="server" />
            <input id="messageName" name="messageName" type="hidden" runat="server" />
            <input id="type" name="type" type="hidden" runat="server" />
            <input id="messagePriority" name="messagePriority" type="hidden" runat="server" />
            
            <input id="allowAppts" name="allowAppts" type="hidden" runat="server" />
            <input id="vetResponse" name="vetResponse" type="hidden" runat="server" />
            <input id="bookAppt" name="bookAppt" type="hidden" runat="server" />
            <input id="commitMessage" name="commitMessage" type="hidden" runat="server" />
            
            <input id="patientkey" name="patientkey" type="hidden" runat="server" />
            <input id="patientCHI" name="patientCHI" type="hidden" runat="server" />
            <input id="patientName" name="patientName" type="hidden" runat="server" />
            <input id="refGMCCode" name="refGMCCode" type="hidden" runat="server" />           
            <input id="hospitalName" name="hospitalName" type="hidden" runat="server" />
            <input id="specialtyName" name="specialtyName" type="hidden" runat="server" />
            <input id="protocolName" name="protocolName" type="hidden" runat="server" />
            
            <input id="ThirdPartyAppName" name="ThirdPartyAppName" type="hidden" runat="server" />
            <input id="ThirdPartyProgId" name="ThirdPartyProgId" type="hidden" runat="server" /> 
        </div>
    </form>
</body>
</html>
