<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:egr="http://dwp.gov.uk/cmg/eGPFR" xmlns:user="mailto:dorothee.huck@gpass.co.uk" exclude-result-prefixes="user msxsl">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="text()"/>
	<xsl:template match="*">
		<xsl:choose>
			<xsl:when test="count(./child::*) &gt; 0">
				<xsl:copy>
					<xsl:if test="@preserve='true'">
						<xsl:attribute name="preserve">true</xsl:attribute>
					</xsl:if>
					<xsl:apply-templates select="*"/>
				</xsl:copy>
			</xsl:when>
			<xsl:when test="count(./child::*) = 0">
				<xsl:element name="{name()}">
					<xsl:if test="@preserve='true'">
						<xsl:attribute name="preserve">true</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="text()"/>
				</xsl:element>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!-- FILTER TEMPLATES -->
	<msxsl:script language="VB" implements-prefix="user"><![CDATA[     Function datematch(ByVal strDays As String, ByVal strDate As String) As Boolean    Dim blnSuccess As Boolean        blnSuccess = True    If (strDate.length > 0) Then           blnSuccess = (DateDiff("d", strDate, System.DateTime.Now.Date) <= System.Convert.ToInt32(strDays))       End If              Return blnSuccess      End Function            Function regexpmatch(ByVal strFilterValue As String, ByVal strActualValue As String) As Boolean          Return System.Text.RegularExpressions.Regex.IsMatch(strActualValue, strFilterValue)      End Function        Function schemematch(ByVal strFilterScheme As String, ByVal strActualScheme As String) As Boolean    Return (LCase(strFilterScheme) = LCase(strActualScheme))  End Function        ]]></msxsl:script>
</xsl:stylesheet>
